# Product Inventories Product Inventories ## Gets all of the product inventories in the system. - [GET /productInventories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-inventories/listproductinventories.md): This method will scan all product inventories and and return them to the caller. ## Creates a new product inventory record that does not already exist. - [POST /productInventories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-inventories/createproductinventory.md): This method will auto-generate an ID and create a new product inventory. If an ID is specified for the product inventory, an error will be thrown. ## Execute Batch Operations - [POST /productInventories/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-inventories/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified product_id - [GET /productInventories/{tenantId}/product/{product_type}/{product_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-inventories/listinventoriesbyproductid.md): Returns a list of records with the specified product_id ## Returns a product inventory from the system by its ID. - [DELETE /productInventories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-inventories/deleteproductinventory.md): This method will delete a product inventory with the specified ID. ## Returns a product inventory from the system by its ID. - [GET /productInventories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-inventories/getproductinventory.md): This method will look up a product inventory by the specified ID and return it back. ## Partially updates a product inventory with the specified ID. - [PATCH /productInventories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-inventories/patchproductinventory.md): This method will patch an existing product inventory with the specified ID, using the HTTP PATCH specification. ## Updates a product inventory with the specified ID. - [PUT /productInventories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-inventories/updateproductinventory.md): This method will update an existing product inventory with the specified ID.